%define libdev %mklibname %name -d

Name:           telepathy-salut
Version:        0.8.1
Release:        %mkrel 1
Summary:        Connection manager implementing link-local messaging for XMPP
Group:          Networking/Instant messaging
License:        LGPLv2+
URL:            http://telepathy.freedesktop.org/wiki/
Source0:        http://telepathy.freedesktop.org/releases/%name/%{name}-%version.tar.gz
BuildRequires:  pkgconfig
BuildRequires:  glib2-devel
BuildRequires:  dbus-glib-devel
BuildRequires:  libxml2-devel
BuildRequires:  %{_lib}avahi-gobject-devel
BuildRequires:  avahi-python
BuildRequires:  libxslt-proc
BuildRequires:  libtelepathy-glib-devel
BuildRequires:  python
BuildRequires:  gtk-doc
BuildRequires:  libsoup-2.4-devel
BuildRequires:  libuuid-devel
BuildRequires:  python-xmldiff
BuildRequires:  gnutls-devel
Requires:       telepathy-filesystem

%description
telepathy-salut is a connection manager implementing link-local
messaging for XMPP

http://www.xmpp.org/extensions/xep-0174.html

%files -n %{name}
%doc docs/clique.xml NEWS README 
%{_libdir}/telepathy/salut-*/*/libsalut-plugins-%{version}.so
%{_libdir}/telepathy/salut-*/*/libwocky-telepathy-salut-%{version}.so
%{_libexecdir}/telepathy-salut
%{_mandir}/man8/telepathy-salut.8.*
%{_datadir}/dbus-1/services/*.service
%{_datadir}/telepathy/managers/salut.manager

#--------------------------------------------------------------------
%package -n %{libdev}
Summary:    Header files, libraries and development documentation for %{name}
Group:      Development/C
Requires:   %{name} = %{version}
Provides:   %{name}-devel = %{version}-%{release}

Conflicts:  %{name}  < 0.8.0-2

%description -n %{libdev}
This package contains the header files, static libraries and development
documentation for %{name}. If you like to develop programs using %{name},
you will need to install %{name}-devel.

%files -n %{libdev}
%{_libdir}/telepathy/salut-0/lib/libsalut-plugins.so
%{_libdir}/telepathy/salut-0/lib/libwocky.so

#--------------------------------------------------------------------

%prep
%setup -q

%build
%configure2_5x --enable-gtk-doc --enable-olpc --disable-static
%make

%install
rm -rf %{buildroot}
%makeinstall_std

rm -f %buildroot%_datadir/%name
rm -f %{buildroot}%{_libdir}/telepathy/salut-0/lib/*.la

%changelog
* Sat Sep 21 2013 pinoc <vogtpet at gmail.com> 0.8.1-1pclos2013
- 0.8.1
- fixed BR to have it compile

* Thu Oct 20 2011 Texstar <texstar at gmail.com> 0.5.2-1pclos2011
- 0.5.2
